import { AST_TOKEN_TYPES } from '../ast/glsl-ast-node-types';
import { Target } from '../backends/ICodeGenerator';
export declare const typeCastFunctions: string[];
export declare const builtinFunctions: string[];
export declare const componentWiseFunctions: string[];
export declare const swizzling: string[];
export declare const typePriority: {
    float: number;
    int: number;
    uint: number;
    vec2: number;
    vec3: number;
    vec4: number;
};
export declare const importFunctions: {
    GLSL100: string;
    GLSL450: string;
    WGSL: string;
};
export declare const exportFunctions: {
    GLSL100: {
        debug: {
            content: string;
            returnType: AST_TOKEN_TYPES;
        };
    };
    GLSL450: {
        debug: {
            content: string;
            returnType: AST_TOKEN_TYPES;
        };
    };
    WGSL: {};
};
