# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [0.6.0](https://github.com/xiaoiver/GWebGPUEngine/compare/v0.4.1...v0.6.0) (2021-01-08)


### Features

* modify Kernel & Compiler API ([a6003b5](https://github.com/xiaoiver/GWebGPUEngine/commit/a6003b54fa7581815a7d4c0ef503fb334546eacb))
* ray tracer ([3fa95b9](https://github.com/xiaoiver/GWebGPUEngine/commit/3fa95b939b2dbf519ebf266b5e57bc7493258b9b))
* support render multi views in the same canvas [#29](https://github.com/xiaoiver/GWebGPUEngine/issues/29) ([25cfea6](https://github.com/xiaoiver/GWebGPUEngine/commit/25cfea6a4e7fb2d471392949531f99413186cfd6))
* support unit chart ([11511a1](https://github.com/xiaoiver/GWebGPUEngine/commit/11511a17b71f82de0de48f6cd2e51cd1c09f18d7))





# [0.6.0](https://github.com/xiaoiver/GWebGPUEngine/compare/v0.4.1...v0.6.0) (2020-11-23)


### Features

* modify Kernel & Compiler API ([a6003b5](https://github.com/xiaoiver/GWebGPUEngine/commit/a6003b54fa7581815a7d4c0ef503fb334546eacb))
* ray tracer ([3fa95b9](https://github.com/xiaoiver/GWebGPUEngine/commit/3fa95b939b2dbf519ebf266b5e57bc7493258b9b))
* support unit chart ([11511a1](https://github.com/xiaoiver/GWebGPUEngine/commit/11511a17b71f82de0de48f6cd2e51cd1c09f18d7))





# [0.5.0](https://github.com/xiaoiver/GWebGPUEngine/compare/v0.4.1...v0.5.0) (2020-11-06)


### Features

* ray tracer ([3fa95b9](https://github.com/xiaoiver/GWebGPUEngine/commit/3fa95b939b2dbf519ebf266b5e57bc7493258b9b))
* support unit chart ([11511a1](https://github.com/xiaoiver/GWebGPUEngine/commit/11511a17b71f82de0de48f6cd2e51cd1c09f18d7))





## [0.4.1](https://github.com/xiaoiver/GWebGPUEngine/compare/v0.4.0...v0.4.1) (2020-06-24)

**Note:** Version bump only for package @antv/g-webgpu-compiler





# [0.4.0](https://github.com/xiaoiver/GWebGPUEngine/compare/v0.3.0...v0.4.0) (2020-06-24)


### Features

* 支持转译 WSL [#25](https://github.com/xiaoiver/GWebGPUEngine/issues/25) ([00b4502](https://github.com/xiaoiver/GWebGPUEngine/commit/00b4502b70ca085b38988756caf3e33936d3a732))





# [0.2.0](https://github.com/xiaoiver/GWebGPUEngine/compare/v0.1.2...v0.2.0) (2020-06-12)


### Features

* 支持 WebGL debug ([6fe69f0](https://github.com/xiaoiver/GWebGPUEngine/commit/6fe69f032d92b3871e8f2aa2478d8c9384502c6d))





## [0.1.1-alpha.1](https://github.com/xiaoiver/GWebGPUEngine/compare/v0.1.0-alpha.0...v0.1.1-alpha.1) (2020-06-04)

**Note:** Version bump only for package @antv/g-webgpu-compiler





# 0.1.0-alpha.0 (2020-06-04)


### Features

* add 2 compute strategy: layout & particle ([47542f8](https://github.com/xiaoiver/GWebGPUEngine/commit/47542f8a8cd60543b9912bd4f739678465416178))
* add parser(TS -> GLSL 100/450) based on Pegjs [#17](https://github.com/xiaoiver/GWebGPUEngine/issues/17) ([69bf45f](https://github.com/xiaoiver/GWebGPUEngine/commit/69bf45f1fb41c1c6c6d1dfec4b60f8a4cb9fecef))
* 接入 gatsby ([deb1fcf](https://github.com/xiaoiver/GWebGPUEngine/commit/deb1fcfe87eeacc02d38c34a68e3096c32d29cc8))
